'use strict';

var inherits = require('../../_virtual/inherits.js');
var inherits_browser = require('./inherits_browser.js');

var hasRequiredInherits;

function requireInherits () {
	if (hasRequiredInherits) return inherits.__module.exports;
	hasRequiredInherits = 1;
	try {
	  var util = require('util');
	  /* istanbul ignore next */
	  if (typeof util.inherits !== 'function') throw '';
	  inherits.__module.exports = util.inherits;
	} catch (e) {
	  /* istanbul ignore next */
	  inherits.__module.exports = inherits_browser.__require();
	}
	return inherits.__module.exports;
}

exports.__require = requireInherits;
